stages:
  - deploy

publish nginx conf file:
  stage: deploy
  image: alpine:latest
  before_script:
  - apk add openssh
  - 'which ssh-agent || ( apk add -qq openssh-client )'
  - eval $(ssh-agent -s)
  - ssh-add <(echo ${SSH_PRIVATE_KEY} | base64 -d)
  - mkdir -p ~/.ssh
  - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
  script:
  - scp ./nginx.conf ${DEPLOYMENT_USERNAME}@${PRODUCTION_HOST}:~
  - |
      ssh ${DEPLOYMENT_USERNAME}@${PRODUCTION_HOST} /bin/bash -s << EOF
      sudo cp /home/gitlab/nginx.conf /etc/nginx/nginx.conf
      sudo nginx -t 
      sudo systemctl reload nginx
      EOF
